from celery import Celery
from flask import Flask

celery = Celery()


def init_app(app: Flask) -> Flask:
    if app.config.get('BROKER_URL'):
        celery.conf.update(app.config)

    class ContextTask(celery.Task):
        def __call__(self, *args, **kwargs):
            with app.app_context():
                return self.run(*args, **kwargs)

    celery.Task = ContextTask
    return app
