import logging
from celery.worker.control import revoke

from portal.database.models import Submission, SubmissionState
from portal.service.general import write_entity

log = logging.getLogger(__name__)


def _reset_task_id(submission: Submission, state=None):
    if state is not None:
        submission.state = state

    submission.process_task_id = None
    write_entity(submission)


def submission_enqueue_ended(submission: Submission):
    # TODO: TBD
    log.info(f"[ASYNC] Submission enqueue ended: {submission}")
    _reset_task_id(submission=submission, state=SubmissionState.QUEUED)


def revoke_enqueue_task(submission: Submission):
    log.info(f'[ASYNC] Submission storage upload cancelled {submission}')
    task_id = submission.process_task_id
    if task_id:
        revoke(task_id, terminate=True)
        _reset_task_id(submission=submission, state=SubmissionState.CANCELLED)
