import logging
from flask_restplus import Namespace, Resource, fields

management_namespace = Namespace('management')
log = logging.getLogger(__name__)

status_schema = management_namespace.model('StatusSchema', {
    'status': fields.String()
    })


@management_namespace.route('/status')
class StatusReport(Resource):
    @management_namespace.marshal_with(status_schema)
    def get(self):
        return dict(status="works")
